VeritasPlex (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.veritas.VeritasPlex interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev.veritas
Interface VeritasPlex

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent

    public interface VeritasPlex

extends StorageExtent

Plex is a set of subdisks. They can be located on one or more disks untill they belong to the same Veritas DiskGroup. By forming plexes storage can be maintain and organize in different ways.

Naming Rules:
  0="service,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getLayout()` Specifies how data is organized.
`VeritasVolume` | `getParentVolume()`
`VeritasStorageService` | `getService()`
`VeritasSubdisk[]` | `getSubdisks()`
`boolean` | `hasLayout()`
`boolean` | `hasParentVolume()`
`boolean` | `hasService()`
`boolean` | `hasSubdisks()`
`void` | `setLayout(int x)`
`void` | `setParentVolume(VeritasVolume x)`
`void` | `setService(VeritasStorageService x)`
`void` | `setSubdisks(VeritasSubdisk[] x)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParentVolume

    VeritasVolume getParentVolume()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParentVolume

    void setParentVolume(VeritasVolume x)

### hasParentVolume

    boolean hasParentVolume()

### getSubdisks

    VeritasSubdisk[] getSubdisks()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSubdisks

    void setSubdisks(VeritasSubdisk[] x)

### hasSubdisks

    boolean hasSubdisks()

### getService

    VeritasStorageService getService()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.UsedBy" reverse="false"

### setService

    void setService(VeritasStorageService x)

### hasService

    boolean hasService()

### getLayout

    int getLayout()
                  throws AttributeNotSetException

  Specifies how data is organized. Depending on the layout, data can be mirrored.

  Throws:
    `AttributeNotSetException`

### setLayout

    void setLayout(int x)

### hasLayout

    boolean hasLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD